Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Shifts
  • Employee
    • Get Employee
      GET
    • Update Employee
      PUT
    • Get List Employees
      GET
    • Get Employees List
      GET
    • Get Mastertypes List
      GET
    • Get Name Prefixes
      GET
    • Get Document Types
      GET
    • Update Employee
      POST
    • Add Employee Attachment
      POST
    • Update Employee Address
      POST
    • Update Employee Family
      POST
    • Update Employee Information
      POST
    • Update Employee Contact
      POST
    • Update Employee Education
      POST
    • Update Employee Experience
      POST
    • Update Employee CustomField
      POST
    • Delete Employee
      POST
    • Get Employee Role
      GET
    • Get Employee Movement Lists
      GET
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
  • Shifts
    • Get Shift Details
      GET
    • Update Employee Shifts
      POST
    • Get Employee Shifts
      GET
    • Swap Employee Shifts
      POST
  • Authentication API
    • Authorization
  • Leave
    • Get Employee Documents
  • Payroll
    • Create Loan
    • Get Loan
    • Get Cost Center
    • Get Financial Transactions
    • Update Financial Transactions
  • Attendance
    • Get Time Attendance
    • Get Time Attendances Lite
  • Welfare
    • Get Shuttle Buses
    • Get Passengers
  • Time
    • Workin
    • Get Employee WorkIn Site
    • Get Timestamps
    • Get TimeStamp Attachments
    • Get Workin Sites
    • Get IOMO Logs
    • Add Timestamps
  • AppMan
    • Update status criminal checker
    • Send Email Notification when completed
  • Asset
    • Get Asset list
    • Update Asset
    • Get Employee Assets
  • Recruitment
    • Get Candidate
    • Get Recruitment หน้าหลัก
  • Goals
    • Update KPI
  • Learn
    • GetCourse
  • Praise
    • GetEmployeePraisesByEmployeeNoAsync
    • GetPraiseTypesAsync
    • CreatePraiseRewardManagerAsync
  • Achievement
    • GetEmployeeAchievementsByEmployeeNoAsync
    • CreateAchievementCardAsync
    • CreateAchievementAwardDocumentAsync
  • Timesheet
    • SearchProjects
    • SearchTasks
    • AddTimeSheetEntry
  1. Shifts

Get Employee Shifts

GET
https://api.gofive.co.th/empeo/api/v1/employees/shifts

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/employees/shifts?employeeNo=99999&companyName=empeo%20Dev%20Test' \
--header 'Ocp-Apim-Subscription-Key: WPe123a9RKbcfLQNSztr45' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type:  application/json; charset=utf-8'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "statusCode": 200,
    "message": "OK",
    "totals": 3,
    "data": [
        {
            "shiftId": 30465,
            "code": "OFF",
            "shiftName": "วันหยุด",
            "createdBy": "[email protected]",
            "modifiedBy": "[email protected]",
            "dateCreated": "2024-01-31T14:13:21.753",
            "dateModified": "2024-01-31T14:13:39.263",
            "asOfDate": "2024-01-02T00:00:00",
            "description": "กำหนดให้เป็นวันหยุดพนักงาน"
        },
        {
            "shiftId": 10257,
            "code": "DEFAL",
            "shiftName": "สำนักงาน 08.30-17.30 5",
            "createdBy": "[email protected]",
            "modifiedBy": "[email protected]",
            "dateCreated": "2023-11-21T15:36:55.22",
            "dateModified": "2023-11-21T15:36:55.22",
            "asOfDate": "2023-11-21T00:00:00",
            "description": "Flexible 30 min"
        },
        {
            "shiftId": 10490,
            "code": "OWNER",
            "shiftName": "Owner Shift",
            "createdBy": "[email protected]",
            "modifiedBy": "[email protected]",
            "dateCreated": "2023-09-25T20:50:22.513",
            "dateModified": "2023-11-20T23:28:12.4",
            "asOfDate": "2023-09-05T00:00:00",
            "description": "กะการทำงานของเจ้าของบริษัท"
        }
    ]
}
Modified at 2026-04-28 10:37:32
Previous
Update Employee Shifts
Next
Swap Employee Shifts
Built with